Subject: bug#28054: coreutils 8.27 test failure on x86_64-foxkit-linux-musl

From: Pádraig Brady <[email-masked]>
Date: Sat, 19 Aug 2017 15:51:05 -0700

On 17/08/17 21:55, A. Wilcox wrote:
> On 13/08/17 11:22, Jim Meyering wrote:
>> On Sun, Aug 13, 2017 at 1:07 AM, Pádraig Brady <[email-masked]>
>> wrote:
>>> On 11/08/17 11:49, A. Wilcox wrote:
>>>
>>>> FAIL: tests/misc/csplit-io-err ==============================
>>> This was due to an inconsistency in the errors output by seq. A
>>> fix for that buglet is attached.
>>>
>>>> FAIL: tests/misc/printf-surprise 
>>>> ================================
>>> Depending on exit 141 couples the script to the value of SIGPIPE 
>>> and to the shell implementation (ksh will return 269 here for
>>> e.g.). So I've attached a solution that should hopefully work in
>>> all situations.
>>>
>>>> FAIL: tests/misc/sort-debug-warn 
>>>> ================================
>>> This was due to an assumption that for "missing" locales that
>>> sort would fail to C rather than C.UTF8. I've adjusted sort to
>>> not assume that in the attached.
> 
>> Nice work. All three patches looks fine.  You might want to insert
>> "in https://bugs.gnu.org/28054" at the end of each log message.
> 
>> Considering the use of "yes | :", even though there's an identical 
>> prior use in tests/misc/seq-epipe.sh, I wondered if there exists a 
>> shell/system where that would infloop. Maybe paranoid overkill,
>> but inserting a timeout would avoid the possibility.
> 
> 
> I can confirm that seq and printf-surprise are fixed by these patches.
>  The sort-debug-warn test still fails, because "failed to set locale"
> is not printed on musl (missing locales are redirected to C.UTF8).
> 
> Also, the seq-epipe patch fixes the grep but not the comment directly
> above it.
> 
> Thank you for your efforts and the fixes.

Ah Assaf already mentioned this musl issue on this list,
and followed up with musl at:
http://www.openwall.com/lists/musl/2016/04/02/1

I've installed a patch to handle these issues at:
http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=4b5bc54

thanks,
Pádraig